## safecat 1.8

=== Makefile ===
# Makefile for safecat

default: it

alloc.a: \
makelib alloc.o alloc_re.o
	./makelib alloc.a alloc.o alloc_re.o

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\'; \
	) > auto-ccld.sh

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a

auto-str.o: \
compile auto-str.c substdio.h readwrite.h exit.h
	./compile auto-str.c

auto_home.c: \
auto-str conf-root
	./auto-str auto_home `head -1 conf-root` > auto_home.c

auto_home.o: \
compile auto_home.c
	./compile auto_home.c

byte_chr.o: \
compile byte_chr.c byte.h
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

byte_zero.o: \
compile byte_zero.c byte.h
	./compile byte_zero.c

check: \
it instcheck
	./instcheck

clean: \
TARGETS
	rm -f `cat TARGETS`

compile: \
make-compile warn-auto.sh systype conf-includes
	( cat warn-auto.sh; ./make-compile "`cat systype`" ) > \
	compile
	chmod 755 compile

#env.a: \
#makelib env.o envread.o
#	./makelib env.a env.o envread.o
#
#env.o: \
#compile env.c str.h alloc.h env.h
#	./compile env.c

envread.o: \
compile envread.c env.h str.h
	./compile envread.c

error.a: \
makelib error.o error_str.o
	./makelib error.a error.o error_str.o

error.o: \
compile error.c error.h
	./compile error.c

error_str.o: \
compile error_str.c error.h
	./compile error_str.c

fmt_ulong.o: \
compile fmt_ulong.c fmt.h
	./compile fmt_ulong.c

hier.o: \
compile hier.c auto_home.h
	./compile hier.c

install: \
load install.o hier.o auto_home.o strerr.a substdio.a open.a error.a \
str.a
	./load install hier.o auto_home.o strerr.a substdio.a \
	open.a error.a str.a

install.o: \
compile install.c substdio.h strerr.h error.h open.h readwrite.h \
exit.h buffer.h
	./compile install.c

instcheck: \
load instcheck.o hier.o auto_home.o strerr.a substdio.a error.a str.a
	./load instcheck hier.o auto_home.o strerr.a substdio.a \
	error.a str.a

instcheck.o: \
compile instcheck.c strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

it: \
maildir safecat man

find-systype: \
find-systype.sh auto-ccld.sh
	cat auto-ccld.sh find-systype.sh > find-systype
	chmod 755 find-systype

getln.a: \
makelib getln.o getln2.o
	./makelib getln.a getln.o getln2.o

getln.o: \
compile getln.c substdio.h byte.h stralloc.h gen_alloc.h getln.h
	./compile getln.c

getln2.o: \
compile getln2.c substdio.h stralloc.h gen_alloc.h byte.h getln.h
	./compile getln2.c

hassgact.h: \
trysgact.c compile load
	( ( ./compile trysgact.c && ./load trysgact ) >/dev/null \
	2>&1 \
	&& echo \#define HASSIGACTION 1 || exit 0 ) > hassgact.h
	rm -f trysgact.o trysgact

hostname.o: \
compile hostname.c
	./compile hostname.c

load: \
make-load warn-auto.sh systype
	( cat warn-auto.sh; ./make-load "`cat systype`" ) > load
	chmod 755 load

maildir: \
warn-auto.sh maildir.sh conf-root
	cat warn-auto.sh maildir.sh \
	| sed s}HOME}"`head -1 conf-root`"}g \
	> maildir
	chmod 755 maildir

maildir.0: \
maildir.1
	nroff -man maildir.1 > maildir.0

make-compile: \
make-compile.sh auto-ccld.sh
	cat auto-ccld.sh make-compile.sh > make-compile
	chmod 755 make-compile

make-load: \
make-load.sh auto-ccld.sh
	cat auto-ccld.sh make-load.sh > make-load
	chmod 755 make-load

makelib: \
warn-auto.sh systype
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo 'rm -f "$$main"'; \
	echo 'ar cr "$$main" $${1+"$$@"}'; \
	case "`cat systype`" in \
	sunos-5.*) ;; \
	unix_sv*) ;; \
	irix64-*) ;; \
	irix-*) ;; \
	dgux-*) ;; \
	hp-ux-*) ;; \
	sco*) ;; \
	*) echo 'ranlib "$$main"' ;; \
	esac \
	) > makelib
	chmod 755 makelib

man: \
safecat.0 maildir.0

open.a: \
makelib open_read.o open_trunc.o open_append.o
	./makelib open.a open_read.o open_trunc.o open_append.o

open_append.o: \
compile open_append.c open.h
	./compile open_append.c

open_read.o: \
compile open_read.c open.h
	./compile open_read.c

open_trunc.o: \
compile open_trunc.c open.h
	./compile open_trunc.c

safecat: \
load safecat.o getln.a str.a stralloc.a strerr.a substdio.a alloc.o \
alloc_re.o byte_copy.o byte_cr.o envread.o error.o error_str.o fmt_ulong.o \
hostname.o sig.o stat_dir.o str_diffn.o str_len.o substdio_copy.o \
substdi.o substdio.o taia_fmtfrac.o taia_now.o taia_tai.o tempfile.o \
writefile.o
	./load safecat getln.a str.a stralloc.a strerr.a substdio.a \
	alloc.o alloc_re.o byte_copy.o byte_cr.o envread.o error.o \
	error_str.o fmt_ulong.o hostname.o sig.o stat_dir.o str_diffn.o \
	str_len.o substdi.o substdio.o substdio_copy.o taia_fmtfrac.o \
	taia_now.o taia_tai.o tempfile.o writefile.o

safecat.0: \
safecat.1
	nroff -man safecat.1 > safecat.0

safecat.o: \
compile safecat.c uint32.h version.h sig.h tempfile.h stat_dir.h \
writefile.h
	./compile safecat.c

sig.o: \
compile sig.c hassgact.h
	./compile sig.c

setup: \
it install
	./install

stat_dir.o: \
compile stat_dir.c
	./compile stat_dir.c

str.a: \
makelib str_len.o byte_chr.o byte_diff.o byte_copy.o byte_cr.o \
byte_zero.o
	./makelib str.a str_len.o byte_chr.o byte_diff.o \
	byte_copy.o byte_cr.o byte_zero.o

str_diffn.o: \
compile str_diffn.c str.h
	./compile str_diffn.c

str_len.o: \
compile str_len.c str.h
	./compile str_len.c

stralloc.a: \
makelib stralloc_eady.o stralloc_pend.o stralloc_copy.o \
stralloc_opys.o stralloc_opyb.o stralloc_cat.o stralloc_cats.o \
stralloc_catb.o stralloc_arts.o stralloc_num.o
	./makelib stralloc.a stralloc_eady.o stralloc_pend.o \
	stralloc_copy.o stralloc_opys.o stralloc_opyb.o \
	stralloc_cat.o stralloc_cats.o stralloc_catb.o \
	stralloc_arts.o stralloc_num.o

stralloc_arts.o: \
compile stralloc_arts.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_arts.c

stralloc_cat.o: \
compile stralloc_cat.c byte.h stralloc.h gen_alloc.h
	./compile stralloc_cat.c

stralloc_catb.o: \
compile stralloc_catb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_catb.c

stralloc_cats.o: \
compile stralloc_cats.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_cats.c

stralloc_copy.o: \
compile stralloc_copy.c byte.h stralloc.h gen_alloc.h
	./compile stralloc_copy.c

stralloc_eady.o: \
compile stralloc_eady.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_eady.c

stralloc_num.o: \
compile stralloc_num.c stralloc.h gen_alloc.h
	./compile stralloc_num.c

stralloc_opyb.o: \
compile stralloc_opyb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_opyb.c

stralloc_opys.o: \
compile stralloc_opys.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_opys.c

stralloc_pend.o: \
compile stralloc_pend.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_pend.c

strerr.a: \
makelib strerr_sys.o strerr_die.o
	./makelib strerr.a strerr_sys.o strerr_die.o

strerr_die.o: \
compile strerr_die.c substdio.h subfd.h substdio.h exit.h strerr.h
	./compile strerr_die.c

strerr_sys.o: \
compile strerr_sys.c error.h strerr.h
	./compile strerr_sys.c

subfderr.o: \
compile subfderr.c readwrite.h substdio.h subfd.h substdio.h
	./compile subfderr.c

subfdin.o: \
compile subfdin.c readwrite.h substdio.h subfd.h substdio.h
	./compile subfdin.c

subfdins.o: \
compile subfdins.c readwrite.h substdio.h subfd.h substdio.h
	./compile subfdins.c

subfdout.o: \
compile subfdout.c readwrite.h substdio.h subfd.h substdio.h
	./compile subfdout.c

subfdouts.o: \
compile subfdouts.c readwrite.h substdio.h subfd.h substdio.h
	./compile subfdouts.c

substdi.o: \
compile substdi.c substdio.h byte.h error.h
	./compile substdi.c

substdio.a: \
makelib substdio.o substdi.o substdo.o subfderr.o subfdout.o \
subfdouts.o subfdin.o subfdins.o substdio_copy.o
	./makelib substdio.a substdio.o substdi.o substdo.o \
	subfderr.o subfdout.o subfdouts.o subfdin.o subfdins.o \
	substdio_copy.o

substdio.o: \
compile substdio.c substdio.h
	./compile substdio.c

substdio_copy.o: \
compile substdio_copy.c substdio.h
	./compile substdio_copy.c

substdo.o: \
compile substdo.c substdio.h str.h byte.h error.h
	./compile substdo.c

systype: \
find-systype trycpp.c
	./find-systype > systype

taia_fmtfrac.o: \
compile taia_fmtfrac.c taia.h tai.h uint64.h
	./compile taia_fmtfrac.c

taia_now.o: \
compile taia_now.c taia.h tai.h uint64.h
	./compile taia_now.c

taia_tai.o: \
compile taia_tai.c taia.h tai.h uint64.h
	./compile taia_tai.c

tempfile.o: \
compile tempfile.c
	./compile tempfile.c

uint32.h: \
tryulong32.c compile load uint32.h1 uint32.h2
	( ( ./compile tryulong32.c && ./load tryulong32 && \
	./tryulong32 ) >/dev/null 2>&1 \
	&& cat uint32.h2 || cat uint32.h1 ) > uint32.h
	rm -f tryulong32.o tryulong32

version.h: \
conf-version
	@echo 'static const char *const version_string="$$Version:' \
	`head -1 conf-version` 'built' `date +"%b %d, %Y"` at \
	`date +"%H:%M"`'$$";' > version.h

writefile.o: \
compile writefile.c
	./compile writefile.c

## safecat 1.11

=== Makefile ===
--- 
+++ 
@@ -71,14 +71,6 @@
 	compile
 	chmod 755 compile
 
-#env.a: \
-#makelib env.o envread.o
-#	./makelib env.a env.o envread.o
-#
-#env.o: \
-#compile env.c str.h alloc.h env.h
-#	./compile env.c
-
 envread.o: \
 compile envread.c env.h str.h
 	./compile envread.c
@@ -87,6 +79,13 @@
 makelib error.o error_str.o
 	./makelib error.a error.o error_str.o
 
+error.h: \
+tryerrno.c compile load error.h1 error.h2
+	( ( ./compile tryerrno.c && ./load tryerrno && \
+	./tryerrno ) >/dev/null 2>&1 \
+	&& cat error.h1 || cat error.h2 ) > error.h
+	rm -f tryerrno.o tryerrno
+
 error.o: \
 compile error.c error.h
 	./compile error.c
@@ -95,9 +94,9 @@
 compile error_str.c error.h
 	./compile error_str.c
 
-fmt_ulong.o: \
-compile fmt_ulong.c fmt.h
-	./compile fmt_ulong.c
+fmt_uint64.o: \
+compile fmt_uint64.c fmt.h uint64.h
+	./compile fmt_uint64.c
 
 hier.o: \
 compile hier.c auto_home.h
@@ -220,13 +219,13 @@
 
 safecat: \
 load safecat.o getln.a str.a stralloc.a strerr.a substdio.a alloc.o \
-alloc_re.o byte_copy.o byte_cr.o envread.o error.o error_str.o fmt_ulong.o \
+alloc_re.o byte_copy.o byte_cr.o envread.o error.o error_str.o fmt_uint64.o \
 hostname.o sig.o stat_dir.o str_diffn.o str_len.o substdio_copy.o \
 substdi.o substdio.o taia_fmtfrac.o taia_now.o taia_tai.o tempfile.o \
 writefile.o
 	./load safecat getln.a str.a stralloc.a strerr.a substdio.a \
 	alloc.o alloc_re.o byte_copy.o byte_cr.o envread.o error.o \
-	error_str.o fmt_ulong.o hostname.o sig.o stat_dir.o str_diffn.o \
+	error_str.o fmt_uint64.o hostname.o sig.o stat_dir.o str_diffn.o \
 	str_len.o substdi.o substdio.o substdio_copy.o taia_fmtfrac.o \
 	taia_now.o taia_tai.o tempfile.o writefile.o
 
@@ -398,6 +397,13 @@
 	&& cat uint32.h2 || cat uint32.h1 ) > uint32.h
 	rm -f tryulong32.o tryulong32
 
+uint64.h: \
+tryulong64.c compile load uint64.h1 uint64.h2
+	( ( ./compile tryulong64.c && ./load tryulong64 && \
+	./tryulong64 ) >/dev/null 2>&1 \
+	&& cat uint64.h2 || cat uint64.h1 ) > uint64.h
+	rm -f tryulong64.o tryulong64
+
 version.h: \
 conf-version
 	@echo 'static const char *const version_string="$$Version:' \

## safecat 1.13

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	./makelib alloc.a alloc.o alloc_re.o
 
 alloc.o: \
-compile alloc.c alloc.h error.h
+compile alloc.c alloc.h error_no.h
 	./compile alloc.c
 
 alloc_re.o: \
@@ -79,19 +79,19 @@
 makelib error.o error_str.o
 	./makelib error.a error.o error_str.o
 
-error.h: \
-tryerrno.c compile load error.h1 error.h2
+error_no.h: \
+tryerrno.c compile load error_no.h1 error_no.h2
 	( ( ./compile tryerrno.c && ./load tryerrno && \
 	./tryerrno ) >/dev/null 2>&1 \
-	&& cat error.h1 || cat error.h2 ) > error.h
+	&& cat error_no.h1 || cat error_no.h2 ) > error_no.h
 	rm -f tryerrno.o tryerrno
 
 error.o: \
-compile error.c error.h
+compile error.c error_no.h
 	./compile error.c
 
 error_str.o: \
-compile error_str.c error.h
+compile error_str.c error_no.h
 	./compile error_str.c
 
 fmt_uint64.o: \
@@ -109,7 +109,7 @@
 	open.a error.a str.a
 
 install.o: \
-compile install.c substdio.h strerr.h error.h open.h readwrite.h \
+compile install.c substdio.h strerr.h error_no.h open.h readwrite.h \
 exit.h buffer.h
 	./compile install.c
 
@@ -119,7 +119,7 @@
 	error.a str.a
 
 instcheck.o: \
-compile instcheck.c strerr.h error.h readwrite.h exit.h
+compile instcheck.c strerr.h error_no.h readwrite.h exit.h
 	./compile instcheck.c
 
 it: \
@@ -324,7 +324,7 @@
 	./compile strerr_die.c
 
 strerr_sys.o: \
-compile strerr_sys.c error.h strerr.h
+compile strerr_sys.c error_no.h strerr.h
 	./compile strerr_sys.c
 
 subfderr.o: \
@@ -348,7 +348,7 @@
 	./compile subfdouts.c
 
 substdi.o: \
-compile substdi.c substdio.h byte.h error.h
+compile substdi.c substdio.h byte.h error_no.h
 	./compile substdi.c
 
 substdio.a: \
@@ -367,7 +367,7 @@
 	./compile substdio_copy.c
 
 substdo.o: \
-compile substdo.c substdio.h str.h byte.h error.h
+compile substdo.c substdio.h str.h byte.h error_no.h
 	./compile substdo.c
 
 systype: \

=== debian/changelog ===
safecat (1.13-1) unstable; urgency=low

  * Add watch file.
  * Minimal rules file with debhelper.
  * Add Homepage control field.
  * Remove obsolete references to procmail from the manpage (Closes: #479020).
  * Update Standards-Version to 3.8.4.0.
  * Update to new source format (3.0 (quilt)).
  * Make the mode for creating new files more permissive to allow changing
    it with umask (Closes: #211546).
  * For completeness, update to new upstream version (no code changes).

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 14 Mar 2010 15:28:01 +0200

safecat (1.12-1) unstable; urgency=low

  * New upstream release. Includes largefile patch and some typo fixes.
  * Effectively rebuilds, fixing relocation error (Closes: #321608)
  * debian/rules: respects DEB_BUILD_OPTIONS.
  * Removed debian/one-liners.txt, updated debian/copyright accordingly.
  * Updated to Standards-Version 3.6.2.0.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 17 Sep 2005 02:15:17 +0300

safecat (1.11-1) unstable; urgency=low

  * New upstream release. (Closes: #224798)
  * Updated upstream URL.
  * Updated to Standards-Version 3.6.1.0.
  * No longer breaks on input stream longer than 2GB. Thanks to Kai Hendry
    for kicking me into doing this. (Closes: #222124)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 10 Feb 2004 23:08:38 +0200

safecat (1.9-1) unstable; urgency=low

  * New upstream version. (Contains fixes for Solaris) (Closes: #158826)
  * Fix build for Hurd. (Closes: #112859)
  * And just for completeness, include maildir script in examples.
    (Closes: #132520)
  * Upgraded to Standards-Version 3.5.7.0.
  * Cleanups proposed by linda:
    * Upstream Author(s) -> Upstream Author in debian/copyright
    * No upstream changelog -> Install CHANGES as changelog

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 21 Oct 2002 18:55:44 +0300

safecat (1.8-1) unstable; urgency=low

  * New upstream version.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Wed, 13 Jun 2001 20:20:44 +0300

safecat (1.4-1) unstable; urgency=low

  * New upstream version. No changes to the binaries.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 25 Nov 2000 19:08:33 +0200

safecat (1.3-1) unstable; urgency=low

  * New upstream version.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 23 Jul 2000 01:57:38 +0300

safecat (1.0-2) unstable; urgency=low

  * Cleaned up the rules.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu,  2 Dec 1999 14:37:56 +0200

safecat (1.0-1) unstable; urgency=low

  * New upstream version.
  * FHS
  * Added one-liners.html from upstream website

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 26 Oct 1999 19:30:22 +0300

safecat (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 18 Jan 1999 09:18:17 +0200

=== debian/control ===
Source: safecat
Section: utils
Priority: optional
Maintainer: Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: groff-base, debhelper (>= 7.0.50)
Standards-Version: 3.8.4.0
Homepage: http://pobox.com/~lbudney/linux/software/safecat.html

Package: safecat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: safely copy stdin to a file
 safecat is a program which implements Daniel Bernstein's maildir
 algorithm to copy stdin safely to a file in a specified directory.
 It can be used to write mail messages to a qmail-style maildir, or to
 write data to a "spool" directory reliably.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_configure:
	sed -i -e "s/cc -O./cc ${CFLAGS}/" conf-cc

# Skip running make check, as it isn't useful for us
override_dh_auto_test:

=== debian/watch ===
version=3
http://www.pobox.com/~lbudney/linux/software/safecat/safecat-(.*)\.tar\.gz

## safecat 1.13%2Bgit20170317.185e8bf

=== debian/control ===
Source: safecat
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper-compat (= 13),
               meson
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/safecat
Vcs-Git: https://salsa.debian.org/salvage-team/safecat.git
Homepage: https://github.com/aperezdc/safecat
Rules-Requires-Root: no

Package: safecat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Safely copy stdin to a file
 Safecat is a program which implements Daniel Bernstein's maildir
 algorithm to copy stdin safely to a file in a specified directory.
 It can be used to write mail messages to a qmail-style maildir, or to
 write data to a "spool" directory reliably.

## safecat 1.13+git20170317.185e8bf

=== debian/changelog ===
safecat (1.13+git20170317.185e8bf-2) unstable; urgency=medium

  * Salvage Team upload.
  * d/p/:
    0004: Properly prototype the code (Closes: #1097837)
          This includes de1999ifying it a lot and fixing some bugs
          (like an off-by-10 that would put the files 10s in the future)
          and removing a reimplementation of like half of libc
    0005: sigaction(2) is always available
    0006: Drop needless -Wno-misleading-indentation check
    0007: Remove the only user of subfdoutsmall (repalce with stdio)
    0008: Remove the only user of subfderr (replace with stdio)
    0009: Replace substdio and the resulting read(512)/write(512) loop
          with voreutils-derived splice/c_f_r/sendfile/[read(64k)/fwrite()]
    0010: renameat2(RENAME_NOREPLACE) temp -> dest,
          only fall back to link+unlink if that fails or is unavailable
    0011: Avoid TOCTTOU on tempdir and destdir
    0012: Fix TOCTTOU on creating temporary file
    0013: Drop unneeded bespoke string allocation library
          (this should degrade gracefuller with overlong hostnames)
  * d/source/options: drop, no longer needed

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 22 Aug 2025 18:02:19 +0200

safecat (1.13+git20170317.185e8bf-1) unstable; urgency=medium

  * Team upload.
    Closes: #1079400
  * Point watch file to latest upstream commit -> new upstream commit
    Closes: #1066354
  * Move packaging to Salsa in salvage-team
  * Set Homepage to Github https://github.com/aperezdc/safecat
    Closes: #836007
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Enable hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2024 10:40:22 +0200

safecat (1.13-3) unstable; urgency=medium

  * Make build reproducible (Closes: #829720)
  * Bump Standards-Version to 3.9.8
  * Update packaging copyright years
  * Add short name to license block in copyright file
  * Use a non-conflicting regexp separator (Closes: #835713)
  * Unapply patches from source
  * Restore conf-(cc|ld) on clean target

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 29 Aug 2016 23:12:39 +0200

safecat (1.13-2) unstable; urgency=low

  * Bump to debhelper compatibility level 9.
  * Ignore source changes to conf-(cc|ld) (Closes: #643268).
  * Do not include RPLINE and DTLINE environment variables in files
    (Closes: #240647).
  * Add patch quoting dashes in the manpage.
  * Update watch file.
  * Rewrite copyright file in machine readable format.
  * Bump to Standards-Version 3.9.3, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 09 Jun 2012 11:05:20 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4

opts="mode=git,pretty=1.13+git%cd.%h" \
    https://github.com/aperezdc/safecat.git HEAD

# opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/aperezdc/safecat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
